Bug 497113 - rhn web UI, proxy installation failed
rhn web UI, proxy installation failed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
rhn510
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Denise Hughes
US=88126
:
Depends On:
Blocks: 456999 rhn-sprint23
  Show dependency treegraph
 
Reported: 2009-04-22 08:55 EDT by Petr Sklenar
Modified: 2009-05-18 09:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 09:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-04-22 08:55:05 EDT
Description of problem:
rhn web UI, proxy installation failed, pkgs rhns-proxy-management cannot be installed

Version-Release number of selected component (if applicable):

Version:  	5.3
RHEL48

How reproducible:
always

Steps to Reproduce:
1. follow how-to for proxy installation, http://www.redhat.com/docs/manuals/RHNetwork/proxy/4.1.0/s1-installation-install-config.html

2. step upload your certification
add cert.tar , click upload

3. it writes: 
Could not Schedule RHN Proxy install. Error: The 'rhns-proxy-management' package was not available to system '1014640268
  
Actual results:
error message

Expected results:
successful installation

Additional info:
package cannot be found in channel
on proxy system:

# up2date --show-channel
rhel-x86_64-as-4
rhn-tools-rhel-4-as-x86_64
redhat-rhn-proxy-5.3-as-x86_64-4
# up2date rhns-proxy-management
....
The following packages you requested were not found:
rhns-proxy-management
Comment 1 Miroslav Suchý 2009-04-22 09:17:04 EDT
Hmm this is hosted problem. The installer definition is located in hosted code.
Changing product and component....
 
We done a *lot* of changes in installer during sat530 development.
You guys may want to take this changes from:
https://fedorahosted.org/spacewalk/browser/web/html/applications/rhn-proxy
and merge it with your code.
Comment 2 Miroslav Suchý 2009-04-22 09:19:06 EDT
Clearing flags and blocker to tracking bug as it does not make sense for hosted.
Comment 8 Sebastian Skracic 2009-05-07 08:52:25 EDT
The changes have been merged to the Hosted code.  The consensus was to keep the 3.7 installer Web files around for the time being.
Comment 10 Sebastian Skracic 2009-05-12 08:22:13 EDT
The code push has been verified on DEV.
Comment 11 Denise Hughes 2009-05-12 08:45:06 EDT
Code is on QA
Comment 12 Denise Hughes 2009-05-18 09:25:27 EDT
Pushed to prod on 5/15/09.

Note You need to log in before you can comment on or make changes to this bug.